Java Examples - Exception with thread

Advertisements


Problem Description:

How to use exceptions with thread?

Solution:

This example shows how to handle the exception while dealing with threads.

class MyThread extends Thread{
   public void run(){
      System.out.println("Throwing in " +"MyThread");
      throw new RuntimeException();
   }
}
class Main {
   public static void main(String[] args){
      MyThread t = new MyThread();
      t.start();
      try{
         Thread.sleep(1000);
      }
      catch (Exception x){
         System.out.println("Caught it" + x);
      }
      System.out.println("Exiting main");
   }
}

Result:

The above code sample will produce the following result.

Throwing in MyThread
Exception in thread "Thread-0" java.lang.RuntimeException
        at testapp.MyThread.run(Main.java:19)
Exiting main


Advertisements
Advertisements